## org.apache.xalan.xsltc.compiler
Class Stylesheet

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.SyntaxTreeNode
            |
            +--org.apache.xalan.xsltc.compiler.Stylesheet

public final class Stylesheet
extends SyntaxTreeNode

Field Summary
`Stylesheet` `_importedFrom` Reference to the stylesheet from which this stylesheet was imported (if any).
`Stylesheet` `_includedFrom` Reference to the stylesheet from which this stylesheet was included (if any).
`static int` `HTML_OUTPUT`
`static int` `TEXT_OUTPUT`
`static int` `UNKNOWN_OUTPUT`
`static int` `XML_OUTPUT`

Fields inherited from class org.apache.xalan.xsltc.compiler.SyntaxTreeNode
`UNKNOWN_STYLESHEET_NODE_ID`

Constructor Summary
`Stylesheet()`

Method Summary
`void` `addIncludedStylesheet(Stylesheet child)`
`int` `addParam(org.apache.xalan.xsltc.compiler.Param param)`
`int` `addVariable(org.apache.xalan.xsltc.compiler.Variable global)`
`boolean` `callsNodeset()`
`boolean` `checkForLoop(java.lang.String systemId)`
`void` `display(int indent)`
`void` `excludeExtensionPrefixes(Parser parser)`
`java.util.Vector` `getAllValidTemplates()`
`java.lang.String` `getClassName()`
`int` `getImportPrecedence()`
`org.apache.xalan.xsltc.compiler.Output` `getLastOutputElement()`
`int` `getMinimumDescendantPrecedence()` Get the minimum of the precedence of this stylesheet, any stylesheet imported by this stylesheet and any include/import descendant of this stylesheet.
`org.apache.xalan.xsltc.compiler.Mode` `getMode(org.apache.xalan.xsltc.compiler.QName modeName)`
`java.lang.String` `getNamespace(java.lang.String prefix)`
`int` `getOutputMethod()` Return the output method
`java.util.Properties` `getOutputProperties()`
`Stylesheet` `getParentStylesheet()`
`SourceLoader` `getSourceLoader()`
`java.lang.String` `getSystemId()`
`boolean` `getTemplateInlining()`
`java.util.Vector` `getTemplates()`
`boolean` `hasGlobals()` Returns true if this stylesheet has global vars or params.
`boolean` `hasLocalParams()` Returns true if at least one template in the stylesheet has params defined.
`boolean` `isExtension(java.lang.String uri)`
`boolean` `isMultiDocument()`
`boolean` `isSimplified()`
`void` `numberFormattingUsed()`
`void` `parseContents(Parser parser)` Parse the version and uri fields of the stylesheet and add an entry to the symbol table mapping the name `__stylesheet_` to an instance of this class.
`void` `parseOwnChildren(Parser parser)` Parse all direct children of the element.
`void` `processModes()`
`void` `setCallsNodeset(boolean flag)`
`void` `setHasIdCall(boolean flag)`
`void` `setImportingStylesheet(Stylesheet parent)`
`void` `setImportPrecedence(int precedence)`
`void` `setIncludingStylesheet(Stylesheet parent)`
`void` `setMultiDocument(boolean flag)`
`void` `setOutputProperties(java.util.Properties props)`
`void` `setOutputProperty(java.lang.String key, java.lang.String value)`
`void` `setParentStylesheet(Stylesheet parent)`
`void` `setParser(Parser parser)`
`void` `setSimplified()`
`void` `setSourceLoader(SourceLoader loader)`
`void` `setSystemId(java.lang.String systemId)`
`void` `setTemplateInlining(boolean flag)`
`void` `translate()` Translate the stylesheet into JVM bytecodes.
`void` `translate(ClassGenerator classGen, MethodGenerator methodGen)` Translate the stylesheet into JVM bytecodes.
`Type` `typeCheck(org.apache.xalan.xsltc.compiler.SymbolTable stable)` Type check all the children of this node.

Methods inherited from class org.apache.xalan.xsltc.compiler.SyntaxTreeNode
`getLineNumber, getParser, getStylesheet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _importedFrom

    public Stylesheet _importedFrom

  Reference to the stylesheet from which this stylesheet was imported (if any).

### _includedFrom

    public Stylesheet _includedFrom

  Reference to the stylesheet from which this stylesheet was included (if any).

### UNKNOWN_OUTPUT

    public static final int UNKNOWN_OUTPUT

### XML_OUTPUT

    public static final int XML_OUTPUT

### HTML_OUTPUT

    public static final int HTML_OUTPUT

### TEXT_OUTPUT

    public static final int TEXT_OUTPUT

Constructor Detail

### Stylesheet

    public Stylesheet()

Method Detail

### getOutputMethod

    public int getOutputMethod()

  Return the output method

### getTemplateInlining

    public boolean getTemplateInlining()

### setTemplateInlining

    public void setTemplateInlining(boolean flag)

### isSimplified

    public boolean isSimplified()

### setSimplified

    public void setSimplified()

### setHasIdCall

    public void setHasIdCall(boolean flag)

### setOutputProperty

    public void setOutputProperty(java.lang.String key,
                                  java.lang.String value)

### setOutputProperties

    public void setOutputProperties(java.util.Properties props)

### getOutputProperties

    public java.util.Properties getOutputProperties()

### getLastOutputElement

    public org.apache.xalan.xsltc.compiler.Output getLastOutputElement()

### setMultiDocument

    public void setMultiDocument(boolean flag)

### isMultiDocument

    public boolean isMultiDocument()

### setCallsNodeset

    public void setCallsNodeset(boolean flag)

### callsNodeset

    public boolean callsNodeset()

### numberFormattingUsed

    public void numberFormattingUsed()

### setImportPrecedence

    public void setImportPrecedence(int precedence)

### getImportPrecedence

    public int getImportPrecedence()

### getMinimumDescendantPrecedence

    public int getMinimumDescendantPrecedence()

  Get the minimum of the precedence of this stylesheet, any stylesheet imported by this stylesheet and any include/import descendant of this stylesheet.

### checkForLoop

    public boolean checkForLoop(java.lang.String systemId)

### setParser

    public void setParser(Parser parser)

### setParentStylesheet

    public void setParentStylesheet(Stylesheet parent)

### getParentStylesheet

    public Stylesheet getParentStylesheet()

### setImportingStylesheet

    public void setImportingStylesheet(Stylesheet parent)

### setIncludingStylesheet

    public void setIncludingStylesheet(Stylesheet parent)

### addIncludedStylesheet

    public void addIncludedStylesheet(Stylesheet child)

### setSystemId

    public void setSystemId(java.lang.String systemId)

### getSystemId

    public java.lang.String getSystemId()

### setSourceLoader

    public void setSourceLoader(SourceLoader loader)

### getSourceLoader

    public SourceLoader getSourceLoader()

### hasGlobals

    public boolean hasGlobals()

  Returns true if this stylesheet has global vars or params.

### hasLocalParams

    public boolean hasLocalParams()

  Returns true if at least one template in the stylesheet has params defined. Uses the variable `_hasLocalParams` to cache the result.

### isExtension

    public boolean isExtension(java.lang.String uri)

### excludeExtensionPrefixes

    public void excludeExtensionPrefixes(Parser parser)

### parseContents

    public void parseContents(Parser parser)

  Parse the version and uri fields of the stylesheet and add an entry to the symbol table mapping the name `__stylesheet_` to an instance of this class.
  Overrides:
    parseContents in class SyntaxTreeNode

### parseOwnChildren

    public final void parseOwnChildren(Parser parser)

  Parse all direct children of the element.

### processModes

    public void processModes()

### getMode

    public org.apache.xalan.xsltc.compiler.Mode getMode(org.apache.xalan.xsltc.compiler.QName modeName)

### typeCheck

    public Type typeCheck(org.apache.xalan.xsltc.compiler.SymbolTable stable)
                   throws TypeCheckError

  Type check all the children of this node.
  Overrides:
    typeCheck in class SyntaxTreeNode

### translate

    public void translate(ClassGenerator classGen,
                          MethodGenerator methodGen)

  Translate the stylesheet into JVM bytecodes.
  Overrides:
    translate in class SyntaxTreeNode

### translate

    public void translate()

  Translate the stylesheet into JVM bytecodes.

### addParam

    public int addParam(org.apache.xalan.xsltc.compiler.Param param)

### addVariable

    public int addVariable(org.apache.xalan.xsltc.compiler.Variable global)

### display

    public void display(int indent)

  Overrides:
    display in class SyntaxTreeNode

### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)

### getClassName

    public java.lang.String getClassName()

### getTemplates

    public java.util.Vector getTemplates()

### getAllValidTemplates

    public java.util.Vector getAllValidTemplates()

Copyright © 2006 Apache XML Project. All Rights Reserved.